{"id":2162055,"recorded_at":"2026-11-02T15:11:32.706671Z","observed_at":"2026-11-02T15:11:32.706560Z","subject_kind":"endpoint","subject":"6507c806-6e3f-4ed3-a76b-806de3a3c628","kind":"mcp.tools","method":"probe.mcp/1","body":{"count":83,"tools":[{"description":"List Alpha currencies.","inputSchema":{"properties":{"currency":{"description":"Alpha currency ID, for example USDS02b5a8dd2f59a098, not the display symbol USDS. First call GET /alpha/currencies without currency, match the token by name, chain and address, and use the returned currency field. Paginate with page and limit. Use cex_alpha_list_alpha_currencies without currency to obtain the currency field.","type":"string"},"limit":{"default":100,"description":"Maximum number of records returned in a single list","format":"int32","maximum":100,"minimum":1,"type":"integer"},"page":{"default":1,"description":"Page number","format":"int32","minimum":1,"type":"integer"}},"type":"object"},"name":"cex_alpha_list_alpha_currencies"},{"description":"List Alpha tickers.","inputSchema":{"properties":{"currency":{"description":"Alpha currency ID, for example USDS02b5a8dd2f59a098, not the display symbol USDS. First call GET /alpha/currencies without currency, match the token by name, chain and address, and use the returned currency field. Paginate with page and limit. Use cex_alpha_list_alpha_currencies without currency to obtain the currency field.","type":"string"},"limit":{"default":100,"description":"Maximum number of records returned in a single list","format":"int32","maximum":100,"minimum":1,"type":"integer"},"page":{"default":1,"description":"Page number","format":"int32","minimum":1,"type":"integer"}},"type":"object"},"name":"cex_alpha_list_alpha_tickers"},{"description":"List Alpha tokens.","inputSchema":{"properties":{"address":{"description":"Query by contract address","type":"string"},"chain":{"description":"Chain: solana, eth, bsc, base, world, sui, arbitrum, avalanche, polygon, linea, optimism, zksync, gatelayer","type":"string"},"launch_platform":{"description":"Launch platform: meteora_dbc, fourmeme, moonshot, pump, raydium_launchlab, letsbonk, gatefun, virtuals","type":"string"},"page":{"default":1,"description":"Page number","format":"int32","minimum":1,"type":"integer"}},"type":"object"},"name":"cex_alpha_list_alpha_tokens"},{"description":"List all TradFi instrument categories","inputSchema":{"type":"object"},"name":"cex_cfd_query_categories"},{"description":"Get kline/OHLCV data for a TradFi symbol","inputSchema":{"properties":{"begin_time":{"description":"Start time (Unix timestamp in seconds)","example":1769378400,"format":"int64","type":"integer"},"end_time":{"description":"End time (Unix timestamp in seconds)","example":1769464800,"format":"int64","type":"integer"},"kline_type":{"description":"Kline type (time period)","enum":["1m","15m","1h","4h","1d","7d","30d"],"example":"1m","type":"string"},"limit":{"description":"Kline limit (max 500)","example":100,"maximum":500,"minimum":1,"type":"integer"},"symbol":{"description":"Trading symbol code","example":"EURUSD","type":"string"}},"required":["symbol","kline_type"],"type":"object"},"name":"cex_cfd_query_symbol_kline"},{"description":"Get latest ticker for a TradFi symbol","inputSchema":{"properties":{"symbol":{"description":"Trading symbol code","example":"EURUSD","type":"string"}},"required":["symbol"],"type":"object"},"name":"cex_cfd_query_symbol_ticker"},{"description":"List all available TradFi trading symbols","inputSchema":{"type":"object"},"name":"cex_cfd_query_symbols"},{"description":"Get delivery contract.","inputSchema":{"properties":{"contract":{"description":"Delivery contract identifier (e.g. BTC_USDT)","type":"string"},"settle":{"description":"Settlement currency for delivery (e.g. usdt, btc)","enum":["usdt"],"type":"string"}},"required":["contract","settle"],"type":"object"},"name":"cex_dc_get_dc_contract"},{"description":"List delivery candlesticks.","inputSchema":{"properties":{"contract":{"description":"Delivery contract identifier (e.g. BTC_USDT; may use mark_/index_ prefix for price type)","type":"string"},"from":{"description":"Start timestamp in seconds","format":"int64","type":"integer"},"interval":{"default":"5m","description":"Time interval for data points","enum":["10s","30s","1m","5m","15m","30m","1h","2h","4h","6h","8h","12h","1d","7d","1w","30d"],"type":"string"},"limit":{"default":100,"description":"Maximum number of data points to return","maximum":2000,"type":"integer"},"settle":{"description":"Settlement currency for delivery (e.g. usdt, btc)","enum":["usdt"],"type":"string"},"to":{"description":"End timestamp in seconds","format":"int64","type":"integer"}},"required":["contract","settle"],"type":"object"},"name":"cex_dc_list_dc_candlesticks"},{"description":"List delivery contracts.","inputSchema":{"properties":{"settle":{"description":"Settlement currency for delivery (e.g. usdt, btc)","enum":["usdt"],"type":"string"}},"required":["settle"],"type":"object"},"name":"cex_dc_list_dc_contracts"},{"description":"List delivery insurance ledger.","inputSchema":{"properties":{"limit":{"default":100,"description":"Maximum number of records to return","maximum":1000,"minimum":1,"type":"integer"},"settle":{"description":"Settlement currency for delivery (e.g. usdt, btc)","enum":["usdt"],"type":"string"}},"required":["settle"],"type":"object"},"name":"cex_dc_list_dc_insurance_ledger"},{"description":"Get delivery order book.","inputSchema":{"properties":{"contract":{"description":"Delivery contract identifier (e.g. BTC_USDT)","type":"string"},"interval":{"default":"0","description":"Order depth aggregation precision. 0 means no aggregation, defaults to 0 if not specified","enum":["0","0.1","0.01"],"type":"string"},"limit":{"default":10,"description":"Maximum number of order depth levels to return","maximum":50,"minimum":1,"type":"integer"},"settle":{"description":"Settlement currency for delivery (e.g. usdt, btc)","enum":["usdt"],"type":"string"},"with_id":{"default":false,"description":"Whether to return order book update ID","type":"boolean"}},"required":["contract","settle"],"type":"object"},"name":"cex_dc_list_dc_order_book"},{"description":"List delivery risk limit tiers.","inputSchema":{"properties":{"contract":{"description":"Optional delivery contract identifier; if set, risk tiers for that contract only","type":"string"},"limit":{"default":100,"description":"Maximum number of records to return","maximum":1000,"minimum":1,"type":"integer"},"offset":{"default":0,"description":"List offset, starting from 0","minimum":0,"type":"integer"},"settle":{"description":"Settlement currency for delivery (e.g. usdt, btc)","enum":["usdt"],"type":"string"}},"required":["settle"],"type":"object"},"name":"cex_dc_list_dc_risk_limit_tiers"},{"description":"List delivery tickers.","inputSchema":{"properties":{"contract":{"description":"Optional delivery contract identifier; if set, only that contract's ticker is returned","type":"string"},"settle":{"description":"Settlement currency for delivery (e.g. usdt, btc)","enum":["usdt"],"type":"string"}},"required":["settle"],"type":"object"},"name":"cex_dc_list_dc_tickers"},{"description":"List delivery trades.","inputSchema":{"properties":{"contract":{"description":"Delivery contract identifier (e.g. BTC_USDT)","type":"string"},"from":{"description":"Start timestamp in seconds","format":"int64","type":"integer"},"last_id":{"description":"Specify list starting point using the last record ID from previous request","type":"string"},"limit":{"default":100,"description":"Maximum number of records to return","maximum":1000,"minimum":1,"type":"integer"},"settle":{"description":"Settlement currency for delivery (e.g. usdt, btc)","enum":["usdt"],"type":"string"},"to":{"description":"End timestamp in seconds","format":"int64","type":"integer"}},"required":["contract","settle"],"type":"object"},"name":"cex_dc_list_dc_trades"},{"description":"Get recommendations for stock dual investment products","inputSchema":{"properties":{"coin":{"description":"Underlying currency","type":"string"},"history_pids":{"description":"Previously recommended project IDs, separated by commas","type":"string"},"mode":{"default":"normal","description":"Recommendation mode. Default: normal\nnormal: Regular users\nsenior: Experienced users","enum":["normal","senior"],"type":"string"},"type":{"description":"`call`: sell high; `put`: buy low","enum":["call","put"],"type":"string"}},"type":"object"},"name":"cex_earn_get_dual_stock_project_recommend"},{"description":"Get Simple Earn currency details.","inputSchema":{"properties":{"currency":{"description":"Currency name","example":"btc","type":"string"}},"required":["currency"],"type":"object"},"name":"cex_earn_get_uni_currency"},{"description":"List dual investment plans.","inputSchema":{"properties":{"coin":{"description":"Investment currency, e.g. BTC","type":"string"},"page":{"description":"Page number","type":"integer"},"page_size":{"description":"Items per page","type":"integer"},"plan_id":{"description":"Financial project ID (int64)","format":"int64","type":"integer"},"quote_currency":{"description":"Settlement currency: default USDT, optional GUSD","type":"string"},"sort":{"description":"Sort: apy (APR desc), short-period (term asc), multiple (premium desc)","type":"string"},"type":{"description":"put (low buy) or call (high sell)","type":"string"}},"type":"object"},"name":"cex_earn_list_dual_investment_plans"},{"description":"List stock dual investment products","inputSchema":{"properties":{"coin":{"description":"Underlying currency","type":"string"},"page":{"description":"page number","minimum":1,"type":"integer"},"page_size":{"description":"Items per page，Maximum 100","maximum":100,"minimum":1,"type":"integer"},"plan_id":{"description":"Product/plan ID. If provided, only the matching product is returned","type":"string"},"quote_currency":{"default":"USDT","description":"Settlement currency. Default: USDT","type":"string"},"sort":{"description":"Sort field enum:\n`apy` — highest APY first\n`short-period` — shortest tenor first\n`multiple` — highest premium first","type":"string"},"type":{"description":"Type enum: `put` — buy low; `call` — sell high","enum":["call","put"],"type":"string"}},"type":"object"},"name":"cex_earn_list_dual_stock_investment_plans"},{"description":"List fixed-term Earn products.","inputSchema":{"properties":{"asset":{"description":"Currency name, e.g. USDT","type":"string"},"limit":{"description":"Page size","type":"integer"},"page":{"description":"Page number","type":"integer"},"show_status":{"description":"Visibility status filter. Pass \"2\" for visible products.","type":"string"},"status":{"description":"Product status filter. Pass 2 for products available for subscription.","type":"integer"},"type":{"description":"Product type: 1=normal, 2=vip","type":"integer"}},"required":["page","limit"],"type":"object"},"name":"cex_earn_list_earn_fixed_term_products"},{"description":"List fixed-term Earn products by asset.","inputSchema":{"properties":{"asset":{"description":"Currency name, e.g. USDT, BTC","type":"string"},"type":{"description":"Product type: empty or 1=normal, 2=vip, 0=all","type":"string"}},"required":["asset"],"type":"object"},"name":"cex_earn_list_earn_fixed_term_products_by_asset"},{"description":"List Simple Earn currencies.","inputSchema":{"type":"object"},"name":"cex_earn_list_uni_currencies"},{"description":"List all supported flash swap currency pairs","inputSchema":{"properties":{"currency":{"description":"Query by specified currency name","type":"string"},"limit":{"default":1000,"description":"Maximum number of items returned. Default: 1000, minimum: 1, maximum: 1000","format":"int32","maximum":1000,"minimum":1,"type":"integer"},"page":{"default":1,"description":"Page number","format":"int32","minimum":1,"type":"integer"}},"type":"object"},"name":"cex_fc_list_fc_currency_pairs"},{"description":"Get futures candlestick/OHLCV data","inputSchema":{"properties":{"contract":{"description":"Futures contract name","type":"string"},"from":{"description":"Start timestamp in seconds. Defaults to to - 100 * interval if not specified","format":"int64","type":"integer"},"interval":{"default":"5m","description":"Time interval. Note: 1w means natural week, 7d aligns with Unix epoch, 30d means natural month","enum":["10s","1m","5m","15m","30m","1h","4h","8h","1d","7d"],"type":"string"},"limit":{"default":100,"description":"Maximum number of data points to return. Mutually exclusive with from/to parameters","maximum":2000,"type":"integer"},"settle":{"description":"Settlement currency","enum":["btc","usdt","usd1"],"type":"string"},"timezone":{"default":"utc0","description":"Timezone: all/utc0/utc8, defaults to utc0","type":"string"},"to":{"description":"End timestamp in seconds, defaults to current time if not specified","format":"int64","type":"integer"}},"required":["contract","settle"],"type":"object"},"name":"cex_fx_get_fx_candlesticks"},{"description":"Get details of a single futures contract","inputSchema":{"properties":{"contract":{"description":"Futures contract name","type":"string"},"settle":{"description":"Settlement currency","enum":["btc","usdt","usd1"],"type":"string"}},"required":["contract","settle"],"type":"object"},"name":"cex_fx_get_fx_contract"},{"description":"Get funding rate history for a futures contract","inputSchema":{"properties":{"contract":{"description":"Futures contract name","type":"string"},"from":{"description":"Start timestamp in seconds","format":"int64","type":"integer"},"limit":{"default":100,"description":"Maximum number of records to return","maximum":1000,"minimum":1,"type":"integer"},"settle":{"description":"Settlement currency","enum":["btc","usdt","usd1"],"type":"string"},"to":{"description":"End timestamp in seconds","format":"int64","type":"integer"}},"required":["contract","settle"],"type":"object"},"name":"cex_fx_get_fx_funding_rate"},{"description":"Get futures order book","inputSchema":{"properties":{"contract":{"description":"Futures contract name","type":"string"},"interval":{"default":"0","description":"Order depth aggregation precision. 0 means no aggregation, defaults to 0 if not specified","type":"string"},"limit":{"default":10,"description":"Maximum number of order depth levels to return","maximum":50,"minimum":1,"type":"integer"},"settle":{"description":"Settlement currency","enum":["btc","usdt","usd1"],"type":"string"},"with_id":{"default":false,"description":"Whether to return order book update ID. ID increments by 1 on each change","type":"boolean"}},"required":["contract","settle"],"type":"object"},"name":"cex_fx_get_fx_order_book"},{"description":"Get premium index (mark price minus index price) history for a contract","inputSchema":{"properties":{"contract":{"description":"Futures contract name","type":"string"},"from":{"description":"Start timestamp in seconds. Defaults to to - 100 * interval if not specified","format":"int64","type":"integer"},"interval":{"default":"5m","description":"Time interval for data points","enum":["1m","5m","15m","30m","1h","4h","8h","1d","7d"],"type":"string"},"limit":{"default":100,"description":"Maximum number of data points to return. Mutually exclusive with from/to parameters","maximum":2000,"type":"integer"},"settle":{"description":"Settlement currency","enum":["btc","usdt","usd1"],"type":"string"},"to":{"description":"End timestamp in seconds, defaults to current time if not specified","format":"int64","type":"integer"}},"required":["contract","settle"],"type":"object"},"name":"cex_fx_get_fx_premium_index"},{"description":"Get a specific risk limit tier table by table ID.","inputSchema":{"properties":{"settle":{"description":"Settlement currency: usdt or btc","enum":["btc","usdt","usd1"],"type":"string"},"table_id":{"description":"Risk limit table ID","type":"string"}},"required":["settle","table_id"],"type":"object"},"name":"cex_fx_get_fx_risk_limit_table"},{"description":"Get ticker information for futures contracts","inputSchema":{"properties":{"contract":{"description":"Futures contract name. Only returns data for this contract if specified","type":"string"},"settle":{"description":"Settlement currency","enum":["btc","usdt","usd1"],"type":"string"}},"required":["settle"],"type":"object"},"name":"cex_fx_get_fx_tickers"},{"description":"Get recent public trades for a futures contract","inputSchema":{"properties":{"contract":{"description":"Futures contract name","type":"string"},"from":{"description":"Start timestamp in seconds. If not specified, returns records limited by to and limit","format":"int64","type":"integer"},"last_id":{"description":"Specify list starting point using the last record ID from previous request","type":"string"},"limit":{"default":100,"description":"Maximum number of records to return","maximum":1000,"minimum":1,"type":"integer"},"offset":{"default":0,"description":"List offset, starting from 0","minimum":0,"type":"integer"},"settle":{"description":"Settlement currency","enum":["btc","usdt","usd1"],"type":"string"},"to":{"description":"End timestamp in seconds, defaults to current time if not specified","format":"int64","type":"integer"}},"required":["contract","settle"],"type":"object"},"name":"cex_fx_get_fx_trades"},{"description":"Get constituent assets and weights for a futures index","inputSchema":{"properties":{"index":{"description":"Index name","type":"string"},"settle":{"description":"Settlement currency","enum":["btc","usdt","usd1"],"type":"string"}},"required":["index","settle"],"type":"object"},"name":"cex_fx_get_index_constituents"},{"description":"Get current funding rates for multiple contracts in one request","inputSchema":{"properties":{"contracts":{"description":"Comma-separated list of contract names, e.g. BTC_USDT,ETH_USDT","example":["BTC_USDT","ETH_USDT"],"maxItems":200,"minItems":1,"type":"string"},"settle":{"description":"Settlement currency","enum":["btc","usdt","usd1"],"type":"string"}},"required":["settle","contracts"],"type":"object"},"name":"cex_fx_list_batch_fx_funding_rates"},{"description":"Get contract statistics (open interest， long/short ratio， etc.)","inputSchema":{"properties":{"contract":{"description":"Futures contract name","type":"string"},"from":{"description":"Start timestamp in seconds","format":"int64","type":"integer"},"interval":{"default":"5m","description":"Time interval for data points","type":"string"},"limit":{"default":30,"description":"Maximum number of data points to return","maximum":100,"minimum":1,"type":"integer"},"settle":{"description":"Settlement currency","enum":["btc","usdt","usd1"],"type":"string"}},"required":["contract","settle"],"type":"object"},"name":"cex_fx_list_contract_stats"},{"description":"List market-level ADL risk states\nList the current ADL risk states of all futures markets for the specified settlement currency","inputSchema":{"properties":{"settle":{"description":"Perpetual futures settlement currency","enum":["btc","usdt","usd1"],"type":"string"}},"required":["settle"],"type":"object"},"name":"cex_fx_list_fx_adl_risk_states"},{"description":"List all perpetual futures contracts","inputSchema":{"properties":{"limit":{"default":100,"description":"Maximum number of records to return","maximum":1000,"minimum":1,"type":"integer"},"offset":{"default":0,"description":"List offset, starting from 0","minimum":0,"type":"integer"},"settle":{"description":"Settlement currency","enum":["btc","usdt","usd1"],"type":"string"}},"required":["settle"],"type":"object"},"name":"cex_fx_list_fx_contracts"},{"description":"Query all contract information (including delisted)","inputSchema":{"properties":{"limit":{"default":100,"description":"Maximum number of records returned in a single list","maximum":1000,"minimum":1,"type":"integer"},"offset":{"default":0,"description":"List offset, starting from 0","minimum":0,"type":"integer"},"settle":{"description":"Perpetual futures settlement currency","enum":["btc","usdt","usd1"],"type":"string"}},"required":["settle"],"type":"object"},"name":"cex_fx_list_fx_contracts_all"},{"description":"Get futures insurance fund history","inputSchema":{"properties":{"limit":{"default":100,"description":"Maximum number of records to return","maximum":1000,"minimum":1,"type":"integer"},"settle":{"description":"Settlement currency","enum":["btc","usdt","usd1"],"type":"string"}},"required":["settle"],"type":"object"},"name":"cex_fx_list_fx_insurance_ledger"},{"description":"Get personal futures liquidation history.","inputSchema":{"properties":{"contract":{"description":"Futures contract name. Only returns data for this contract if specified","type":"string"},"from":{"description":"Start timestamp in seconds","format":"int64","type":"integer"},"limit":{"default":100,"description":"Maximum number of records to return","maximum":1000,"minimum":1,"type":"integer"},"settle":{"description":"Settlement currency","enum":["btc","usdt","usd1"],"type":"string"},"to":{"description":"End timestamp in seconds","format":"int64","type":"integer"}},"required":["settle"],"type":"object"},"name":"cex_fx_list_fx_liq_orders"},{"description":"Get risk limit tiers for a futures contract","inputSchema":{"properties":{"contract":{"description":"Futures contract name. Only returns data for this contract if specified","type":"string"},"limit":{"default":100,"description":"Maximum number of records to return","maximum":1000,"minimum":1,"type":"integer"},"offset":{"default":0,"description":"List offset, starting from 0","minimum":0,"type":"integer"},"settle":{"description":"Settlement currency: usdt or btc","enum":["btc","usdt","usd1"],"type":"string"}},"required":["settle"],"type":"object"},"name":"cex_fx_list_fx_risk_limit_tiers"},{"description":"Query futures RPI order book\nBids will be sorted by price from high to low, while asks sorted reversely","inputSchema":{"properties":{"contract":{"description":"Futures contract","type":"string"},"interval":{"default":"0","description":"Price precision for merged depth. 0 means no merging. If not specified, defaults to 0","type":"string"},"limit":{"default":10,"description":"Number of depth levels","maximum":50,"minimum":1,"type":"integer"},"settle":{"description":"Perpetual futures settlement currency","enum":["btc","usdt","usd1"],"type":"string"},"with_id":{"default":false,"description":"Whether to return depth update ID. This ID increments by 1 each time the depth changes","type":"boolean"}},"required":["settle","contract"],"type":"object"},"name":"cex_fx_list_fx_rpi_order_book"},{"description":"Get margin leverage tiers for a currency pair","inputSchema":{"properties":{"currency_pair":{"description":"Currency pair, e.g. BTC_USDT","type":"string"}},"required":["currency_pair"],"type":"object"},"name":"cex_margin_get_market_margin_tier"},{"description":"Get details of a specific unified margin currency pair","inputSchema":{"properties":{"currency_pair":{"description":"Currency pair, e.g. ADA_USDT","example":"AE_USDT","type":"string"}},"required":["currency_pair"],"type":"object"},"name":"cex_margin_get_uni_currency_pair"},{"description":"List all currency pairs supported for unified margin lending","inputSchema":{"type":"object"},"name":"cex_margin_list_uni_currency_pairs"},{"description":"Get current interest rates for specified currencies in multi-collateral loans (public)","inputSchema":{"properties":{"currencies":{"description":"Currency names separated by commas, e.g. BTC,ETH,USDT. Maximum 100 items","items":{"type":"string"},"maxItems":100,"minItems":1,"type":"string"},"vip_level":{"default":"0","description":"VIP level, defaults to 0 if not specified","type":"string"}},"required":["currencies"],"type":"object"},"name":"cex_mcl_get_multi_collateral_current_rate"},{"description":"Get available fixed interest rates for multi-collateral loans (public)","inputSchema":{"type":"object"},"name":"cex_mcl_get_multi_collateral_fix_rate"},{"description":"Get LTV (Loan-to-Value) ratios for multi-collateral loans (public)","inputSchema":{"type":"object"},"name":"cex_mcl_get_multi_collateral_ltv"},{"description":"List all supported currencies for multi-collateral loans (public)","inputSchema":{"type":"object"},"name":"cex_mcl_list_multi_collateral_currencies"},{"description":"Get details of a single options contract","inputSchema":{"properties":{"contract":{"description":"Options contract name","type":"string"}},"required":["contract"],"type":"object"},"name":"cex_options_get_options_contract"},{"description":"Get a single options settlement record","inputSchema":{"properties":{"at":{"description":"Settlement timestamp (Unix timestamp in seconds)","format":"int64","type":"string"},"contract":{"description":"Options contract name","type":"string"},"underlying":{"description":"Underlying asset name, e.g. BTC_USDT","type":"string"}},"required":["contract","underlying","at"],"type":"object"},"name":"cex_options_get_options_settlement"},{"description":"Get options candlestick data","inputSchema":{"properties":{"contract":{"description":"Options contract name","type":"string"},"from":{"description":"Start timestamp in seconds","format":"int64","type":"integer"},"interval":{"default":"5m","description":"Time interval between data points, e.g. 1m, 5m, 15m, 30m, 1h","enum":["1m","5m","15m","30m","1h"],"type":"string"},"limit":{"default":100,"description":"Maximum number of records to return","maximum":1000,"minimum":1,"type":"integer"},"to":{"description":"End timestamp in seconds","format":"int64","type":"integer"}},"required":["contract"],"type":"object"},"name":"cex_options_list_options_candlesticks"},{"description":"List all options contracts for an underlying","inputSchema":{"properties":{"expiration":{"description":"Unix timestamp of expiration date","format":"int64","type":"integer"},"underlying":{"description":"Underlying asset name, e.g. BTC_USDT","type":"string"}},"required":["underlying"],"type":"object"},"name":"cex_options_list_options_contracts"},{"description":"List option expiration dates for an underlying","inputSchema":{"properties":{"underlying":{"description":"Underlying asset name, e.g. BTC_USDT","type":"string"}},"required":["underlying"],"type":"object"},"name":"cex_options_list_options_expirations"},{"description":"Get options order book","inputSchema":{"properties":{"contract":{"description":"Options contract name","type":"string"},"interval":{"default":"0","description":"Price precision for merged depth. 0 means no merging","enum":["0","0.1","0.01"],"type":"string"},"limit":{"default":10,"description":"Number of depth levels","maximum":50,"minimum":1,"type":"integer"},"with_id":{"default":false,"description":"Whether to return depth update ID","type":"boolean"}},"required":["contract"],"type":"object"},"name":"cex_options_list_options_order_book"},{"description":"List options settlement history for an underlying","inputSchema":{"properties":{"from":{"description":"Start timestamp in seconds","format":"int64","type":"integer"},"limit":{"default":100,"description":"Maximum number of records to return","maximum":1000,"minimum":1,"type":"integer"},"offset":{"default":0,"description":"List offset, starting from 0","minimum":0,"type":"integer"},"to":{"description":"End timestamp in seconds","format":"int64","type":"integer"},"underlying":{"description":"Underlying asset name, e.g. BTC_USDT","type":"string"}},"required":["underlying"],"type":"object"},"name":"cex_options_list_options_settlements"},{"description":"Get options tickers for an underlying","inputSchema":{"properties":{"underlying":{"description":"Underlying asset name, e.g. BTC_USDT","type":"string"}},"required":["underlying"],"type":"object"},"name":"cex_options_list_options_tickers"},{"description":"List public options trades","inputSchema":{"properties":{"contract":{"description":"Options contract name","type":"string"},"from":{"description":"Start timestamp in seconds","format":"int64","type":"integer"},"limit":{"default":100,"description":"Maximum number of records to return","maximum":1000,"minimum":1,"type":"integer"},"offset":{"default":0,"description":"List offset, starting from 0","minimum":0,"type":"integer"},"to":{"description":"End timestamp in seconds","format":"int64","type":"integer"},"type":{"description":"Option type: C for call, P for put","format":"P","type":"string"}},"type":"object"},"name":"cex_options_list_options_trades"},{"description":"Get candlestick data for an options underlying index","inputSchema":{"properties":{"from":{"description":"Start timestamp in seconds","format":"int64","type":"integer"},"interval":{"default":"5m","description":"Time interval between data points, e.g. 1m, 5m, 15m, 30m, 1h","enum":["1m","5m","15m","30m","1h"],"type":"string"},"limit":{"default":100,"description":"Maximum number of records to return","maximum":1000,"minimum":1,"type":"integer"},"to":{"description":"End timestamp in seconds","format":"int64","type":"integer"},"underlying":{"description":"Underlying asset name, e.g. BTC_USDT","type":"string"}},"required":["underlying"],"type":"object"},"name":"cex_options_list_options_underlying_candlesticks"},{"description":"Get ticker data for all contracts under an underlying","inputSchema":{"properties":{"underlying":{"description":"Underlying asset name, e.g. BTC_USDT","type":"string"}},"required":["underlying"],"type":"object"},"name":"cex_options_list_options_underlying_tickers"},{"description":"List all options underlying assets","inputSchema":{"type":"object"},"name":"cex_options_list_options_underlyings"},{"description":"Get details of a single currency","inputSchema":{"properties":{"currency":{"description":"Currency name","type":"string"}},"required":["currency"],"type":"object"},"name":"cex_spot_get_currency"},{"description":"Get details of a single currency pair","inputSchema":{"properties":{"currency_pair":{"description":"Currency pair name, e.g. BTC_USDT","type":"string"}},"required":["currency_pair"],"type":"object"},"name":"cex_spot_get_currency_pair"},{"description":"Get candlestick/OHLCV data for a currency pair","inputSchema":{"properties":{"currency_pair":{"description":"Currency pair","type":"string"},"from":{"description":"Start time of K-line in Unix timestamp (seconds). Defaults to to - 100 * interval if not specified","format":"int64","type":"integer"},"interval":{"default":"30m","description":"Time interval of data points. Note: 30d represents natural month, not 30 days","enum":["1s","10s","1m","5m","15m","30m","1h","4h","8h","1d","7d","30d"],"type":"string"},"limit":{"default":100,"description":"Maximum number of data points to return. Mutually exclusive with from/to parameters","maximum":1000,"type":"integer"},"to":{"description":"End time of K-line in Unix timestamp (seconds). Defaults to current time if not specified","format":"int64","type":"integer"}},"required":["currency_pair"],"type":"object"},"name":"cex_spot_get_spot_candlesticks"},{"description":"Get spot insurance fund history for a currency","inputSchema":{"properties":{"business":{"description":"Leverage business: margin - position by position; unified - unified account","type":"string"},"currency":{"description":"Currency","type":"string"},"from":{"description":"Start timestamp in seconds","format":"int64","type":"string"},"limit":{"default":30,"description":"Maximum number of items returned in the list, default 30","maximum":1000,"minimum":1,"type":"integer"},"page":{"default":1,"description":"Page number","format":"int32","minimum":1,"type":"integer"},"to":{"description":"End timestamp in seconds","format":"int64","type":"string"}},"required":["business","currency","from","to"],"type":"object"},"name":"cex_spot_get_spot_insurance_history"},{"description":"Get the order book for a currency pair","inputSchema":{"properties":{"currency_pair":{"description":"Currency pair","type":"string"},"interval":{"default":"0","description":"Order depth aggregation precision. 0 means no aggregation","type":"string"},"limit":{"default":10,"description":"Maximum number of order depth levels to return, default 10, max 100","minimum":1,"type":"integer"},"with_id":{"default":false,"description":"Whether to return order book update ID","type":"boolean"}},"required":["currency_pair"],"type":"object"},"name":"cex_spot_get_spot_order_book"},{"description":"Get ticker information for one or all currency pairs","inputSchema":{"properties":{"currency_pair":{"description":"Currency pair name, e.g. BTC_USDT. Returns all pairs if not specified","type":"string"},"timezone":{"description":"Timezone, e.g. Asia/Shanghai. Affects the time range of statistics","enum":["utc0","utc8","all"],"type":"string"}},"type":"object"},"name":"cex_spot_get_spot_tickers"},{"description":"Get recent trades for a currency pair","inputSchema":{"properties":{"currency_pair":{"description":"Currency pair","type":"string"},"from":{"description":"Start timestamp in seconds","format":"int64","type":"integer"},"last_id":{"description":"Use the last record ID from previous list as starting point for next list","type":"string"},"limit":{"default":100,"description":"Maximum number of records to return, default 100","format":"int32","maximum":1000,"minimum":1,"type":"integer"},"page":{"default":1,"description":"Page number","format":"int32","minimum":1,"type":"integer"},"reverse":{"default":false,"description":"Whether to retrieve records less than last_id. Default returns records greater than last_id","type":"boolean"},"to":{"description":"End timestamp in seconds, defaults to current time if not specified","format":"int64","type":"integer"}},"required":["currency_pair"],"type":"object"},"name":"cex_spot_get_spot_trades"},{"description":"List all currencies supported","inputSchema":{"type":"object"},"name":"cex_spot_list_currencies"},{"description":"List all available spot trading pairs","inputSchema":{"type":"object"},"name":"cex_spot_list_currency_pairs"},{"description":"Get the RPI order book\nGet the RPI order book, with bids sorted by descending price and asks by ascending price.","inputSchema":{"properties":{"currency_pair":{"description":"Currency pair","type":"string"},"interval":{"default":"0","description":"Price precision for merged depth. 0 means no merging. If not specified, defaults to 0","type":"string"},"limit":{"default":10,"description":"Number of depth levels","minimum":1,"type":"integer"},"with_id":{"default":false,"description":"Return order book update ID","type":"boolean"}},"required":["currency_pair"],"type":"object"},"name":"cex_spot_list_spot_rpi_order_book"},{"description":"List live stream replays from Gate Square","inputSchema":{"properties":{"coin":{"description":"Currency name filter (e.g. BTC, ETH)","type":"string"},"limit":{"default":3,"description":"Number of results, 1~10, default 3","maximum":10,"minimum":1,"type":"integer"},"sort":{"default":"hot","description":"Sort order: hot=hottest (default), new=newest","enum":["hot","new"],"type":"string"},"tag":{"description":"Business type filter: Market Analysis, Hot Topics, Blockchain, Others","type":"string"}},"type":"object"},"name":"cex_square_list_live_replay"},{"description":"Search Gate Square content using AI (posts， analysis， signals)","inputSchema":{"properties":{"currency":{"description":"Currency filter (exact currency code, e.g. BTC, ETH, SOL)","type":"string"},"keyword":{"description":"Search keyword (currency name or content keyword, e.g. BTC, ETH)","type":"string"},"limit":{"default":10,"description":"Number of results, 1~50, default 10","maximum":50,"minimum":1,"type":"integer"},"page":{"default":1,"description":"Page number for pagination, starting from 1","format":"int32","minimum":1,"type":"integer"},"sort":{"default":0,"description":"Sort order: 0=hottest (default), 1=newest","enum":[0,1],"type":"integer"},"time_range":{"default":0,"description":"Time range: 0=all (default), 1=last day, 2=last week, 3=last month","enum":[0,1,2,3],"type":"integer"}},"type":"object"},"name":"cex_square_list_square_ai_search"},{"description":"Query supported exchanges\nQuery stock spot supported exchanges and whether stock transfers are supported. Rate limit: 5 qps.","inputSchema":{"type":"object"},"name":"cex_stock_query_stock_exchanges"},{"description":"Query fee rates for Japanese and Korean stocks\nQuery fee rates for Japanese and Korean stocks. Rate limit: 5 qps.","inputSchema":{"type":"object"},"name":"cex_stock_query_stock_fee_rate"},{"description":"Query market order book\nRate limit: 5 qps.","inputSchema":{"properties":{"symbol":{"description":"Symbol","example":"AAPL","type":"string"}},"required":["symbol"],"type":"object"},"name":"cex_stock_query_stock_order_book"},{"description":"Query symbol details\nRate limit: 5 qps.","inputSchema":{"properties":{"exchange":{"description":"Exchange.\n- us: US stocks.\n- hk: Hong Kong stocks.\n- kr: Korean stocks.\n- jp: Japanese stocks.","enum":["us","hk","kr","jp"],"example":"us","type":"string"},"page":{"description":"Page number, defaults to 1","example":1,"type":"integer"},"page_size":{"description":"Page size, defaults to 10, max 500; server caps at 500","example":100,"maximum":500,"type":"integer"},"symbols":{"description":"Symbol list, multiple separated by commas","example":"AAPL,TSLA","type":"string"}},"type":"object"},"name":"cex_stock_query_stock_symbol_detail"},{"description":"Query symbol list\nRate limit: 5 qps.","inputSchema":{"properties":{"exchange":{"description":"Exchange.\n- us: US stocks.\n- hk: Hong Kong stocks.\n- kr: Korean stocks.\n- jp: Japanese stocks.","enum":["us","hk","kr","jp"],"example":"us","type":"string"},"page":{"description":"Page number, defaults to 1","example":1,"type":"integer"},"page_size":{"description":"Page size, defaults to 10, max 500; server caps at 500","example":100,"maximum":500,"type":"integer"},"symbols":{"description":"Symbol list, multiple separated by commas","example":"AAPL,TSLA","type":"string"},"with_desc_i18n":{"description":"Whether to return multilingual symbol description","example":true,"type":"boolean"}},"type":"object"},"name":"cex_stock_query_stock_symbols"},{"description":"Calculate portfolio margin for hypothetical positions State-changing","inputSchema":{"properties":{"body":{"description":"JSON body: UnifiedPortfolioInput with spot_balances, spot_orders, futures_positions, etc.","type":"string"}},"required":["body"],"type":"object"},"name":"cex_unified_calculate_portfolio_margin"},{"description":"Get historical loan rates for a currency.","inputSchema":{"properties":{"currency":{"description":"Currency name","type":"string"},"limit":{"default":100,"description":"Max records, default 100","format":"int32","maximum":100,"minimum":1,"type":"integer"},"page":{"default":1,"description":"Page number","format":"int32","minimum":1,"type":"integer"},"tier":{"description":"VIP tier for floating rate","type":"string"}},"required":["currency"],"type":"object"},"name":"cex_unified_get_history_loan_rate"},{"description":"List currency discount tiers for unified account collateral","inputSchema":{"type":"object"},"name":"cex_unified_list_currency_discount_tiers"},{"description":"List loan margin tiers for unified account","inputSchema":{"type":"object"},"name":"cex_unified_list_loan_margin_tiers"},{"description":"List currencies supported in unified account.","inputSchema":{"properties":{"currency":{"description":"Currency name to filter","type":"string"}},"type":"object"},"name":"cex_unified_list_unified_currencies"},{"description":"List chains supported for a currency","inputSchema":{"properties":{"currency":{"description":"Currency name, e.g. BTC, USDT","type":"string"}},"required":["currency"],"type":"object"},"name":"cex_wallet_list_currency_chains"}]},"body_sha256":"2538e2a5881543ed69713fe3efdc8801e85828059da2ecd1dd95aa038d6ae5e5","prev_id":null,"leaf":"0xee732cfe2dd53790d3defa0c0f4c88972e3900d4f1b20a7dfc2c4eb713b6d6ac","leaf_text":"{\"body\":\"2538e2a5881543ed69713fe3efdc8801e85828059da2ecd1dd95aa038d6ae5e5\",\"id\":2162055,\"kind\":\"mcp.tools\",\"method\":\"probe.mcp/1\",\"observed_us\":1793632292706560,\"prev\":null,\"subject\":\"6507c806-6e3f-4ed3-a76b-806de3a3c628\",\"subject_kind\":\"endpoint\"}","day":{"day":"2026-11-02","leaves":444186,"root":"0x78fecaabbe319e56f5c4b80fc02e2052e198ad24781da8832a475ff65f2002d1","chained":"0xdc35957db5d1371ca382b9152878ffece28ec7c5cb4f98fd71ddb367f8b999b2","anchor_chain":"eip155:5042002","anchor_tx":"0x56b814612eb2e3e544153df3e91e1f7199106d1e430c7d8c6b653feeb9ebe9af","anchor_block":70432815},"proof":["0xee732a60dc3e651655c12117ad7bd6d4a3f7e1e515f738d9099c9e9bb9dac4ba","0x979eff29f350434e51a2a1928aec03c2a13c14e52bff63b4481d83a753f10eaf","0x106171cb4fe399ee85dc1fc7f08eeee996f26c002af11dcfbbf87dbdcac942e9","0x47d5526940ea24f217419945039617a41abfbc6c19c60f27ba81878ffdee45c5","0x27c1959e50f1c50092a3fa74cfad903d1a10b7d013b724818326ab4c42e5e022","0xc63292fae8ef3aa3ea2025c826b009823ec63b1caf4e5970dc2aab4e9cd78c0b","0x25c88f566933102499ed161af48a8e34ee37138a03ac6bd660bf71f777dfb057","0xc37d62a92a3e19ba35591ca59cd334030f56d34129aa103a8fdb05dc2f150222","0x85a9064ee46f6bb0a0fb491dfd425564275f12fee9c7cd23463890737800ca82","0x289d10558b458eda3cc9917551191f15d289cb49c8cb0be546d2d23d012e6782","0x151bd83170434ccd04f82906ef73350feadc28309b6f1874e3bc7fe465fe848f","0x244e5498c1a18cb79272c8888907c216b04d0ef4381a107b2d329eb22383048b","0x6a66db154e32d45aa1f1ce72719d9372fd5cdf4add16d249006bd3cdb0f7c074","0xbb465466dac90179fd91fd4d3b6985e80736d1ab4662dc57a78b5e5098d6f074","0xde6a8fd6590b70565baa6078cbc8add8d94950fe959ebaf8c3716adcdbd78aa8","0x6dd7e4db65395e8670c7c2747d44fec79e03305934ef4746bf5dbca04ec6ec49","0xec5d643575d83c9e07e65deeef71943b53cbf3007e7e2b9a6ef414081509b0cc","0x252cce55f1a3d5391c16f82d7f62494429a5f69b03486d4cfcfb7b2c96d6c884"]}